# Services de Manipulation de Texte

Les modules décrits dans ce chapitre fournissent un large ensemble d'opérations de manipulation sur les chaînes de caractères et le texte en général.

Le module `codecs` documenté dans Services autour des Données Binaires est aussi très pertinent pour la manipulation de texte. Consultez aussi la documentation du type str natif Python dans Type Séquence de Texte — str.

- `string` — Opérations usuelles sur des chaînes
  - Chaînes constantes
  - Formatage personnalisé de chaîne
  - Syntaxe de formatage de chaîne
    - Mini-langage de spécification de format
    - Exemples de formats
  - Chaînes modèles
  - Fonctions d'assistance
- `re` — Opérations à base d'expressions rationnelles
  - Syntaxe des expressions rationnelles
  - Contenu du module
    - Flags
    - Functions
    - Exceptions
  - Objets d'expressions rationnelles
  - Objets de correspondance
  - Exemples d'expressions rationnelles
    - Rechercher une paire
    - Simuler scanf()
    - Comparaison de search() et match()
    - Construire un répertoire téléphonique
    - Mélanger les lettres des mots
    - Trouver tous les adverbes
    - Trouver tous les adverbes et leurs positions
    - Notation brute de chaînes
    - Écrire un analyseur lexical
- `difflib` — Utilitaires pour le calcul des deltas
  - SequenceMatcher Objects
  - SequenceMatcher Examples
  - Differ Objects
  - Differ Example
  - A command-line interface to difflib
  - ndiff example
- `textwrap` --- Encapsulation et remplissage de texte
- `unicodedata` — Base de données Unicode
- `stringprep` — Préparation des chaines de caractères internet
- `readline` — interface pour GNU readline
  - Fichier d'initialisation
  - Tampon de ligne
  - Fichier d'historique
  - Liste d'historique
  - Fonctions de rappel au démarrage
  - Complétion
  - Exemple
- `rlcompleter` — Fonction de complétion pour GNU readline